# - Config file for the PythonQt package
# It defines the following variables
#  PythonQt              - the PythonQt core target (QtXPythonYZ)

set(PythonQt Qt5Python27)#library name
set(PythonQt_Qt5 ON)#flag
set(PythonQt_Python3 OFF)#flag
set(PythonQt_Python 2.7.15rc1)#linked python version

find_package(Qt5 REQUIRED COMPONENTS Core Gui Widgets)
find_package(PythonLibs 2.7.15rc1 REQUIRED)

# Our library dependencies (contains definitions for IMPORTED targets)
include("${CMAKE_CURRENT_LIST_DIR}/Qt5Python27Targets.cmake")
set_target_properties(${PythonQt} PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES ${PYTHON_INCLUDE_DIRS}#emulate IMPORTED target for Python
)
