# - Config file for the PythonQt package
# It defines the following variables
#  PythonQt_QtAll              - the PythonQt QtAll target
#  PythonQt_QtAll_QT           - linked Qt modules

set(PythonQt_QtAll Qt5Python27_QtAll)
set(PythonQt_QtAll_QT Core;Gui;Network;OpenGL;Qml;Quick;QuickWidgets;Sql;Svg;UiTools;Xml;PrintSupport;Widgets;Multimedia;MultimediaWidgets;XmlPatterns)

find_package(Qt5Python27 CONFIG REQUIRED)
find_package(Qt5 CONFIG REQUIRED COMPONENTS ${PythonQt_QtAll_QT})

# Our library dependencies (contains definitions for IMPORTED targets)
include("${CMAKE_CURRENT_LIST_DIR}/Qt5Python27_QtAllTargets.cmake")
